Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PingStruct Struct Reference

Store Ping informations Handle Pinging operations. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Attributes
unsigned char | typeId
unsigned long | sendPingTime
unsigned long | sendPongTime

## Detailed Description

Store Ping informations Handle Pinging operations.

## Member Data Documentation

unsigned long PingStruct::sendPingTime

| Limit for sending next ping packet

unsigned long PingStruct::sendPongTime

| Limit for sending next pong packet

unsigned char PingStruct::typeId

| ID_PING or ID_PONG

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h